<?php

namespace App\Http\Livewire;

use App\Models\Animation;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\DateColumn;
use Mediconesystems\LivewireDatatables\NumberColumn;
use Mediconesystems\LivewireDatatables\Http\Livewire\LivewireDatatable;
use Mediconesystems\LivewireDatatables\TimeColumn;

class AnimationsTable extends LivewireDatatable
{
    public $model = Animation::class;

    public function columns()
    {
        return [
            NumberColumn::name('id'),
            Column::name('name')->searchable(),
            Column::name('showman')->searchable(),
            DateColumn::name('date')->filterable(),
            Column::name('type')->filterable(['quizz', 'culture', 'news']),
            TimeColumn::name('date as time')->label('time'),
            Column::callback(['showman_link'], function ($showmanLink) {
                return "<a target='_blank' href='$showmanLink'>Link</a>";
            })->label('Video link'),
            Column::callback(['entrant_link'], function ($entrantsLink) {
                return "<a target='_blank' href='$entrantsLink'>Link</a>";
            })->label('Ahaslides link'),
            Column::callback(['image_url'], function ($imageUrl) {
                return "<a target='_blank' href='" . url("/storage/{$imageUrl}") . "'>Link</a>";
            })->label('Image'),
            Column::callback(['id'], function ($id) {
                return view('livewire/animation-actions', ['id' => $id]);
            })->label('Actions')
        ];
    }
}
