<?php

namespace App\Http\Livewire;

use App\Models\Animation;
use App\Models\Resident;
use App\Models\User;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\DateColumn;
use Mediconesystems\LivewireDatatables\NumberColumn;
use Mediconesystems\LivewireDatatables\Http\Livewire\LivewireDatatable;
use Mediconesystems\LivewireDatatables\TimeColumn;

class ResidentsTable extends LivewireDatatable
{
    public $model = Resident::class;

    public function columns()
    {
        return [
            NumberColumn::name('id'),
            Column::name('nom')->searchable(),
            Column::name('prenom')->searchable(),
            Column::callback(['id_residence'], function ($residentId) {
                $resident = User::where('id', $residentId)->first();
                $name = "aucune";
                if($resident){
                    $name = $resident->name;
                }
                return view('livewire/resident-residence-name', ['name' => $name]);
            })->label('Residence'),
            Column::name('id_residence')->searchable(),
            Column::callback(['id'], function ($id) {
                return view('livewire/resident-action', ['id' => $id]);
            })->label('Actions')
        ];
    }

    public function deleteResident($id){
        Resident::query()->where('id', '=', (int)$id)->delete();
    }
}
