<?php

namespace App\Http\Livewire;

use App\Models\User;
use Mediconesystems\LivewireDatatables\BooleanColumn;
use Mediconesystems\LivewireDatatables\Column;
use Mediconesystems\LivewireDatatables\DateColumn;
use Mediconesystems\LivewireDatatables\NumberColumn;
use Mediconesystems\LivewireDatatables\Http\Livewire\LivewireDatatable;
use Spatie\Permission\Models\Role;

class UsersTable extends LivewireDatatable
{
    public $model = User::class;

    public function columns()
    {
        return [
            NumberColumn::name('id'),
            Column::name('name')->searchable(),
            Column::name('email')->searchable(),
            Column::name('language')->filterable(['fr', 'en']),
            BooleanColumn::name('active')->filterable(),
            Column::name('subscription')->filterable(['basic', 'premium', 'gold']),
            Column::name('external_id'),
            DateColumn::name('created_at'),
            Column::name('roles.name')->label('Roles')->truncate()->filterable(Role::all()->pluck('name')->toArray()),
            Column::callback(['id'], function ($id) {
                return view('livewire/user-actions', ['id' => $id]);
            })
        ];
    }
}
