<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     * @return array
     */
    public function toArray($request)
    {
        if($request && $request->tz) {
            date_default_timezone_set($request->tz);
        }

        return [
            'name' => $this->name,
            'email' => $this->email,
            'animations' => new AnimationCollection($this->nextAnimationsSameDay())
        ];
    }
}
