<?php

namespace App\Models;

//use Illuminate\Database\Eloquent\Factories\HasFactory;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Resident extends Model
{
//    use HasFactory;
    protected $fillable = [
        'id_residence',
        'nom',
        'prenom',
    ];

    protected $dates = [
        'date'
    ];

    public static function boot()
    {
        parent::boot();

        static::deleting(function($model) {
            $model->users()->detach();
        });
    }

    public function getDateAttribute($value)
    {
        return Carbon::parse($value)->format('Y-m-d\TH:i');
    }

    public function users() {
        return $this->belongsToMany(User::class)->withPivot('activated');
    }

}
