<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFieldsToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('subscription')->nullable(false)->default('basic')->after('active');
            $table->string('external_id')->nullable(true)->after('subscription');
            $table->string('phone')->nullable(true)->after('external_id');
            $table->string('postal_code')->nullable(true)->after('phone');
            $table->dateTime('started_at')->nullable(true)->useCurrent()->after('postal_code');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('subscription');
            $table->dropColumn('external_id');
            $table->dropColumn('phone');
            $table->dropColumn('postal_code');
            $table->dropColumn('started_at');
        });
    }
}
