<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Laravel</title>

    <link rel="icon" href="<?php echo e(asset('images/logo-square.png')); ?>">

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
</head>
<body class="antialiased">
    <?php if(Route::has('login')): ?>
        <div class="fixed top-0 right-0 px-6 py-4">
            <?php if(auth()->guard()->check()): ?>
                <a href="<?php echo e(url('admin/dashboard')); ?>" class="text-sm text-gray-700 underline">Dashboard</a>
                <form method="POST" action="<?php echo e(route('logout')); ?>">
                    <?php echo csrf_field(); ?>
                    <button type="submit" class="underline text-sm text-gray-600 hover:text-gray-900">
                        <?php echo e(__('Log Out')); ?>

                    </button>
                </form>
            <?php else: ?>
                <a href="<?php echo e(route('login')); ?>" class="text-sm text-gray-700 underline">Log in</a>

                <?php if(Route::has('admin/register')): ?>
                    <a href="<?php echo e(route('register')); ?>" class="ml-4 text-sm text-gray-700 underline">Register</a>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    <?php endif; ?>

    <div class="flex h-screen">
        <div class="m-auto">
            <img src="<?php echo e(asset('images/senioranim.png')); ?>" alt="">
        </div>
    </div>
</body>
</html>
<?php /**PATH /home/seniorm/www/resources/views/welcome.blade.php ENDPATH**/ ?>